www.cendio.com

Bug 5706

Summary: On Ubuntu, Apache CGI module is not enabled by default
Product: ThinLinc Reporter: Peter ├ůstrand <astrand@cendio.se>
Component: MiscAssignee: Karl Mikaelsson <derfian@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: derfian@cendio.se, hean01@cendio.se
Version: trunkKeywords: hean01_tester, prosaic
Target Milestone: 4.10.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
* An installation of Web Integration on Ubuntu should result in a working setup running tlclient.cgi succesfully
Bug Depends on:    
Bug Blocks: 6156    

Description From cendio 2015-11-04 12:18:18
On Ubuntu 15.10, after activating Apache with TLS, doing the workaround
described on bug 5576, tlclient.cgi still does not work: The content is
displayed, instead of the CGI executing. This can be fixed with:

# sudo a2enmod cgi
# service apache2 restart

Perhaps tl-setup should do that?
------- Comment #1 From cendio 2015-11-04 13:23:38 -------
Same problem on Ubuntu 14.04.
------- Comment #3 From cendio 2018-09-05 13:02:06 -------
Solved by mentioning the requirement in the new documentation written for bug
5190.
------- Comment #4 From cendio 2018-09-13 10:58:55 -------
Verified that I could get a working setup following Web Integration
documentation.